Loading...
Searching...
No Matches
FullerMethod.hpp File Reference

Estimate binary diffusion coefficents in gases according to the method by Fuller. More...

`#include <opm/material/common/Means.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

template<class Scalar, class Evaluation = Scalar>
Evaluation | Opm::BinaryCoeff::fullerMethod (const Scalar *M, const Scalar *SigmaNu, const Evaluation &temperature, const Evaluation &pressure)
| Estimate binary diffusion coefficents in gases according to the method by Fuller.

## Detailed Description

Estimate binary diffusion coefficents in gases according to the method by Fuller.

Parameters

  M | molar masses
  SigmaNu | atomic diffusion volume
  temperature | The temperature
  pressure | phase pressure

This function estimates the diffusion coefficents in binary gases using to the method proposed by Fuller. This method and is only valid at "low" pressures.

See: R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp. 587-588

## Function Documentation

## fullerMethod()

template<class Scalar, class Evaluation = Scalar>

Evaluation Opm::BinaryCoeff::fullerMethod | ( | const Scalar * | M,
|  | const Scalar * | SigmaNu,
|  | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline

Estimate binary diffusion coefficents in gases according to the method by Fuller.

Parameters

  M | molar masses
  SigmaNu | atomic diffusion volume
  temperature | The temperature
  pressure | phase pressure

This function estimates the diffusion coefficents in binary gases using to the method proposed by Fuller. This method and is only valid at "low" pressures.

See: R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp. 587-588